Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

interactionId
string<uuid>
required

The interaction ID to retrieve

Response

Interaction detail with messages

id
string<uuid>
required

The interaction ID.

externalId
string | null
required

Your external identifier for the interaction.

participantId
string<uuid>
required

The user who participated in this interaction.

externalParticipantId
string | null
required

Your external identifier for the participant.

organizationId
string<uuid> | null
required

The organization ID.

organizationExternalId
string | null
required

Your external identifier for the organization.

productId
string<uuid>
required

The product ID.

versionId
string<uuid>
required

The version ID.

model
string | null
required

The AI model used.

rating
number | null
required

User rating for this interaction.

ratingMin
number | null
required

Minimum rating value.

ratingMax
number | null
required

Maximum rating value.

feedback
string | null
required

User feedback text.

createdAt
string<date-time>
required

When the interaction was created.

updatedAt
string<date-time>
required

When the interaction was last updated.

participant
object | null
required

Resolved participant details.

messages
object[]
required

Conversation messages in chronological order.

properties
object

Custom interaction properties.